- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Friends

# FbxQuery Class Reference

Search for all occurrences

## Detailed Description

Base class to manage query.

A query contains a filter and reference ID, which will be used to search and retrieve objects. The derived query classes are used to create FbxCriteria.

Definition at line 36 of file fbxquery.h.

`#include <fbxquery.h>`

Inheritance diagram for FbxQuery:
[legend]

List of all members.

## Classes
class | InternalFilter
## Public Member Functions
| FBXSDK_FRIEND_NEW ()
virtual FbxInt | GetUniqueId () const
| Get unique filter Id.
virtual bool | IsValid (const FbxProperty &pProperty) const
| Judge if the given property is valid.
virtual bool | IsEqual (FbxQuery *pOtherQuery) const
| This compares whether two FbxQuery are the same, NOT whether the query matches or not.
void | Ref ()
| Add one to ref count.
void | Unref ()
| Minus one to ref count, if ref count is zero, delete this query object.
## Protected Member Functions
| FbxQuery ()
virtual | ~FbxQuery ()
## Friends
class | FbxProperty
class | InternalFilter

## Constructor & Destructor Documentation

FbxQuery | ( |  | ) | `[protected]`

virtual ~FbxQuery | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

FBXSDK_FRIEND_NEW | ( |  | ) |

Search for all occurrences

Reimplemented in FbxQueryOperator, FbxQueryOperatorUnary, FbxQueryClassId, FbxQueryIsA, and FbxQueryIsProperty.

virtual FbxInt GetUniqueId | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Get unique filter Id.

Reimplemented in FbxQueryOperator, FbxQueryOperatorUnary, FbxQueryClassId, FbxQueryIsA, and FbxQueryIsProperty.

Definition at line 42 of file fbxquery.h.

    { return FBXSDK_QUERY_UNIQUE_ID; }

virtual bool IsValid | ( | const FbxProperty & | pProperty | ) | const `[virtual]`

Search for all occurrences

Judge if the given property is valid.

Parameters:

  pProperty | The given property.

Returns:
  `True` always, not implemented.

Reimplemented in FbxQueryOperator, FbxQueryOperatorUnary, FbxQueryClassId, FbxQueryIsA, and FbxQueryIsProperty.

virtual bool IsEqual | ( | FbxQuery * | pOtherQuery | ) | const `[virtual]`

Search for all occurrences

This compares whether two FbxQuery are the same, NOT whether the query matches or not.

It's strictly the equivalent of an operator==, but virtual.

Parameters:

  pOtherQuery | The given FbxQuery

Reimplemented in FbxQueryOperator, FbxQueryOperatorUnary, FbxQueryClassId, FbxQueryIsA, and FbxQueryIsProperty.

void Ref | ( |  | ) |

Search for all occurrences

Add one to ref count.

void Unref | ( |  | ) |

Search for all occurrences

Minus one to ref count, if ref count is zero, delete this query object.

## Friends And Related Function Documentation

friend class FbxProperty `[friend]`

Search for all occurrences

Definition at line 95 of file fbxquery.h.

friend class InternalFilter `[friend]`

Search for all occurrences

Definition at line 96 of file fbxquery.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxquery.h

FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery
FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery FbxQuery